Subject: bug#78935: 30.1.90; [PATCH] Let Imenu optionally allow duplicate menu entries

From: Drew Adams <[email-masked]>
Date: Sat, 5 Jul 2025 18:26:35 +0000

> > . Can you tell me what :version to use - would it be "30.2"?
> 
> No, "31.1", since the change will go to the master branch, which will
> become Emacs 31.
> 
> > . I'm not familiar with what's needed for NEWS.  Can you
> >   let me know what's needed and what form you need it in?
> 
> here's an example, which I hope will explain this.  If not, please ask
> more specific questions.
> 
>   *** New user option 'quit-window-kill-buffer'.
>   This option specifies whether 'quit-window' should preferably kill or
>   bury the buffer shown by the window to quit.
> 
> IOW, the fact there's a new option, and a short description what it
> does.  In the current case, I'd also state the default value.
> 
> Thanks.

Got it.  How to I provide the NEWS blurb?  Do I need to send
a patch of the 30.1 NEWS file (or the 30.2 pretest 2 NEWS file)?

Or can I just include the blurb in email here, like this?

*** New user option 'imenu-allow-duplicate-menu-items-flag'.
This specifies whether Imenu can include duplicate menu items.
Duplicate items are allowed by default (option value 't').

Also, do you prefer that `-flag' be removed from the name?
It seems that Emacs no longer respects that convention.
Either way is OK by me.